Account
Update Account
Update your Recurso account settings.
PUT
/
v1
/
account
Update the tenant account
curl --request PUT \
--url https://billing.example.com/v1/account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://billing.example.com/v1/account"
payload = {
"name": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', email: 'jsmith@example.com'})
};
fetch('https://billing.example.com/v1/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"data_region": "<string>",
"base_currency": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>"
}
}Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | The display name for your account. |
email | string | No | Primary billing contact email address. |
timezone | string | No | IANA timezone identifier (e.g. America/New_York, Europe/London). |
default_currency | string | No | Three-letter ISO 4217 currency code (e.g. usd, eur, gbp). |
webhook_url | string | No | URL where Recurso sends webhook event payloads. |
Example Request
curl -X PUT "https://api.recurso.io/v1/account" \
-H "Authorization: Bearer rsk_live_9f8a7b6c5d4e3f2a1b0c" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme Corp International",
"timezone": "Europe/London",
"default_currency": "gbp",
"webhook_url": "https://api.acmecorp.com/webhooks/recurso/v2"
}'
Response
{
"id": "acct_1aXm4nBo7pQr",
"object": "account",
"name": "Acme Corp International",
"email": "billing@acmecorp.com",
"plan": "growth",
"settings": {
"timezone": "Europe/London",
"default_currency": "gbp",
"webhook_url": "https://api.acmecorp.com/webhooks/recurso/v2",
"invoice_prefix": "INV",
"auto_collection": true,
"dunning_enabled": true,
"tax_inclusive_pricing": false
},
"usage": {
"active_subscriptions": 4821,
"monthly_revenue": 287450.00,
"currency": "usd"
},
"created_at": "2025-08-12T10:00:00Z",
"updated_at": "2026-06-23T11:30:00Z"
}
⌘I
Update the tenant account
